# -*- coding: utf-8 -*-
# Generated by Django 1.11.9 on 2020-06-13 21:49
from __future__ import unicode_literals

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('exam', '0021_auto_20200610_1549'),
    ]

    operations = [
        migrations.AddField(
            model_name='fault',
            name='is_active',
            field=models.BooleanField(default=True, verbose_name='\u6709\u6548'),
        ),
        migrations.AlterField(
            model_name='fault',
            name='paper',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='faults', to='exam.Paper', verbose_name='\u8bd5\u5377'),
        ),
        migrations.AlterField(
            model_name='fault',
            name='party',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='exam_faults', to='saas.Party', verbose_name='\u56e2\u4f53'),
        ),
        migrations.AlterField(
            model_name='fault',
            name='user',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='exam_faults', to=settings.AUTH_USER_MODEL, verbose_name='user'),
        ),
        migrations.RunSQL("""
        delete a from exam_fault a, 
        (select paper_id,user_id,substr(question_id,4) as qnum,count(1) 
        from exam_fault where question_id like 'g%q%' 
        group by 1,2,3 
        having count(1)>1) b 
        where a.paper_id=b.paper_id 
        and a.user_id=b.user_id 
        and substr(a.question_id,4)=b.qnum
        """),
        migrations.RunSQL("""
        update exam_fault set question_id=substr(question_id,4)
        where question_id like 'g%q%'
        """),
        migrations.RunSQL("""
        update exam_fault set is_active=false
        where paper_id in (
        select id from exam_paper
        where is_active=false
        ) 
        """)
    ]
