# -*- coding:utf-8 -*- 
# author = 'denishuang'
from __future__ import unicode_literals

from django_szuprefix.api.mixins import IDAndStrFieldSerializerMixin
from rest_framework import serializers
from . import models
from ..saas.mixins import PartySerializerMixin


class SurveySerializer(IDAndStrFieldSerializerMixin, PartySerializerMixin, serializers.ModelSerializer):
    class Meta:
        model = models.Survey
        exclude = ('party',)
        read_only_fields = ('user', 'questions_count', 'target_user_count', 'actual_user_count')


class SurveyListSerializer(SurveySerializer):
    class Meta(SurveySerializer.Meta):
        exclude = ('party', 'content_object', 'content')


class AnswerSerializer(IDAndStrFieldSerializerMixin, PartySerializerMixin, serializers.ModelSerializer):
    class Meta:
        model = models.Answer
        exclude = ('party',)
        read_only_fields = ('user', )

class AnswerListSerializer(AnswerSerializer):
    class Meta(AnswerSerializer.Meta):
        exclude = ('party', 'detail')
